<?php
/*
 *
 * ElbiaAdmin PHP-lib version 3.1.9
 * Copyright (c) 2009-2024, Jozef Sudolsky, ELBIA, s. r. o. (jozef@sudolsky.sk)
 * All rights reserved.
 * BSD Licence
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *     1. Redistributions of source code must retain the above copyright notice,
 *        this list of conditions and the following disclaimer.
 *
 *     2. Redistributions in binary form must reproduce the above copyright
 *        notice, this list of conditions and the following disclaimer in the
 *        documentation and/or other materials provided with the distribution.
 *
 *     3. Neither the name of ElbiaAdmin PHP-lib nor the names of its
 *        contributors may be used to endorse or promote products derived from
 *        this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 */

/*
EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE
EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE
EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE

require_once("ealibNIC.php");

$ean = new ElbiaAdminNIC("login", "password");

$result = $ean->domain_info("inetadmin", "eu");

print_r($result);
echo "<br>";


$result = $ean->transfer_domain_request("inetadmin", "eu");

print_r($result);
echo "<br>";


$result = $ean->create_domain_request("example", "sk", array("hosts" => array(array("host" => "ns.inetadmin.eu"), array("host" => "ns.inetadmin.sk"), array("host" => "ns.inetadmin.cz"))), array("registrant" => array("regid" => "ELBIA"), "tech" => array("regid" => "ELBIA"), "admin" => array("regid" => "ELBIA")));

print_r($result);
echo "<br>";
*/

require_once("ealibCore.php");

class ElbiaAdminNIC extends ElbiaAdmin {

	const OK_STATE = "ok";

	function domain_info($domain, $tld) {
		return $this->_do_command("domain_info", array($domain, $tld), "N", true, false);
	}

	function domain_info_bulk($domains) {
		return $this->_do_command("domain_info_bulk", array($this->token, $domains), "N");
	}

	function check_domain($domain, $tld) {
		return $this->_do_command("check_domain", array($domain, $tld), "N", true, false);
	}

	function user_info($nicid) {
		return $this->_do_command("user_info", array($nicid), "N", true, false);
	}

	function get_requests($poffset, $pcount, $fid=NULL, $fdomain=NULL, $ftld=NULL, $ftype=NULL, $fstate=NULL) {
		$result = $this->_do_command("get_requests", array($this->token, $poffset, $pcount, $fid, $fdomain, $ftld, $ftype, $fstate), "N");
		return $result;
	}

	function get_request($req_id) {
		$result = $this->_do_command("get_request", array($this->token, $req_id), "N");
		return $result;
	}

	function backorder_domain_request($domain, $tld, $registrant) {
		return $this->_do_command("backorder_domain_request", array($this->token, $domain, $tld, $registrant), "N");
	}

	function get_backorders($poffset, $pcount, $fdomain=NULL, $fowner=NULL, $fstate=NULL) {
		$result = $this->_do_command("get_backorders", array($this->token, $poffset, $pcount, $fdomain, $fowner, $fstate), "N");
		return $result;
	}

	function get_backorder($req_id) {
		$result = $this->_do_command("get_backorder", array($this->token, $req_id), "N");
		return $result;
	}

	function backorder_cancel($req_id) {
		return $this->_do_command("backorder_cancel", array($this->token, $req_id), "N");
	}

	function expired_list() {
		$result = $this->_do_command("expired_list", array($this->token), "N");
		return $result;
	}

	function get_domains($poffset, $pcount, $fdomain=NULL, $ftld=NULL, $fexpirationfrom=NULL, $fexpirationto=NULL) {
		return $this->_do_command("get_domains", array($this->token, $poffset, $pcount, $fdomain, $ftld, $fexpirationfrom, $fexpirationto), "N");
	}

	function get_domain($domain, $tld) {
		return $this->_do_command("get_domain", array($this->token, $domain, $tld), "N");
	}

	function poll_message() {
		return $this->_do_command("poll_message", array($this->token), "N");
	}

	function ack_message($message_id) {
		return $this->_do_command("ack_message", array($this->token, $message_id), "N");
	}

	function get_waiting_payments($poffset, $pcount, $fdomain=NULL, $ftld=NULL) {
		return $this->_do_command("get_waiting_payments", array($this->token, $poffset, $pcount, $fdomain, $ftld), "N");
	}

	function get_domain_move_password($domain, $tld, $password) {
		return $this->_do_command("get_domain_move_password", array($this->token, $domain, $tld, $password), "N");
	}

	function move_domain($domain, $tld, $password) {
		return $this->_do_command("move_domain", array($this->token, $domain, $tld, $password), "N");
	}

	function register_nsset_cz_request($name, $tech, $ns1, $ns2, $ns3=NULL, $ns4=NULL, $ip1=NULL, $ip2=NULL, $ip3=NULL, $ip4=NULL, $ipv6_1=NULL, $ipv6_2=NULL, $ipv6_3=NULL, $ipv6_4=NULL) {
		return $this->_do_command("register_nsset_cz_request", array($this->token, $name, $tech, $ns1, $ns2, $ns3, $ns4, $ip1, $ip2, $ip3, $ip4, $ipv6_1, $ipv6_2, $ipv6_3, $ipv6_4), "N");
	}

	function get_contacts($poffset, $pcount, $fname=NULL, $ftld=NULL) {
		return $this->_do_command("get_contacts", array($this->token, $poffset, $pcount, $fname, $ftld), "N");
	}

	function get_contact($cid) {
		return $this->_do_command("get_contact", array($this->token, $cid), "N");
	}

	function create_contact_request($tld, $contacts) {
		return $this->_do_command("create_contact_request", array($this->token, $tld, $contacts), "N");
	}

	function modify_contact_request($cid, $contacts) {
		return $this->_do_command("modify_contact_request", array($this->token, $cid, $contacts), "N");
	}

	function create_domain_request($domain, $tld, $nss, $contacts) {
		return $this->_do_command("create_domain_request", array($this->token, $domain, $tld, $nss, $contacts), "N");
	}

	function renew_domain_request($domain, $tld) {
		return $this->_do_command("renew_domain_request", array($this->token, $domain, $tld), "N");
	}

	function modify_ns_request($domain, $tld, $nss) {
		return $this->_do_command("modify_ns_request", array($this->token, $domain, $tld, $nss), "N");
	}

	function modify_domain_request($domain, $tld, $contacts) {
		return $this->_do_command("modify_domain_request", array($this->token, $domain, $tld, $contacts), "N");
	}

	function transfer_domain_request($domain, $tld, $authid, $contacts) {
		return $this->_do_command("transfer_domain_request", array($this->token, $domain, $tld, $authid, $contacts), "N");
	}

	function send_authid_request($domain, $tld) {
		return $this->_do_command("send_authid_request", array($this->token, $domain, $tld), "N");
	}

	function set_domain_autorenew($domain, $tld, $value) {
		return $this->_do_command("set_domain_autorenew", array($this->token, $domain, $tld, $value), "N");
	}

}
?>
