<?php
/*
 *
 * ElbiaAdmin PHP-lib version 3.1.9
 * Copyright (c) 2012-2024, Jozef Sudolsky, ELBIA, s. r. o. (jozef@sudolsky.sk)
 * All rights reserved.
 * BSD Licence
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *     1. Redistributions of source code must retain the above copyright notice,
 *        this list of conditions and the following disclaimer.
 *
 *     2. Redistributions in binary form must reproduce the above copyright
 *        notice, this list of conditions and the following disclaimer in the
 *        documentation and/or other materials provided with the distribution.
 *
 *     3. Neither the name of ElbiaAdmin PHP-lib nor the names of its
 *        contributors may be used to endorse or promote products derived from
 *        this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 */

require_once("ealibCore.php");

class ElbiaAdminSubHoster extends ElbiaAdmin {

	const OK_STATE = "ok";

	function get_news_subhoster($poffset, $pcount) {
		return $this->_do_command("get_news_subhoster", array($this->token, $poffset, $pcount), "DI");
	}

	function get_price_list_domains_subhoster($fid_interface=NULL) {
		return $this->_do_command("get_price_list_domains_subhoster", array($this->token, $fid_interface), "DI");
	}

	function check_domain_password($domain, $tld) {
		return $this->_do_command("check_domain_password", array($this->login, $this->password, $domain, $tld), "DI", $add_token=false);
	}

	function get_webhosting_package($pack_id) {
		return $this->_do_command("get_webhosting_package", array($this->token, $pack_id), "DI");
	}

	function get_webhosting_packages($fid_interface=NULL) {
		return $this->_do_command("get_webhosting_packages", array($this->token, $fid_interface), "DI");
	}

	function get_webhosting_domains_count_subhoster() {
		return $this->_do_command("get_webhosting_domains_count_subhoster", array($this->token), "DI");
	}

	function check_user_login($login) {
		return $this->_do_command("check_user_login", array($this->token, $login), "DI");
	}

	function get_references_password($count, $reg_only) {
		return $this->_do_command("get_references_password", array($this->login, $this->password, $count, $reg_only), "DI", $add_token=false);
	}

	function get_order_subhoster($order_id) {
		return $this->_do_command("get_order_subhoster", array($this->token, $order_id), "DI");
	}

	function get_orders_subhoster($poffset, $pcount, $fticket_number=NULL, $flogin=NULL, $factivated=NULL, $fpaid=NULL, $fcanceled=NULL) {
		return $this->_do_command("get_orders_subhoster", array($this->token, $poffset, $pcount, $fticket_number, $flogin, $factivated, $fpaid, $fcanceled), "DI");
	}

	function get_interfaces_subhoster() {
		return $this->_do_command("get_interfaces_subhoster", array($this->token), "DI");
	}

	function get_interface_subhoster($id_interface) {
		return $this->_do_command("get_interface_subhoster", array($this->token, $id_interface), "DI");
	}

	function add_interface_subhoster($name) {
		return $this->_do_command("add_interface_subhoster", array($this->token, $name), "DI");
	}

	function change_interface_subhoster($id_interface, $name) {
		return $this->_do_command("change_interface_subhoster", array($this->token, $id_interface, $name), "DI");
	}

	function remove_interface_subhoster($id_interface) {
		return $this->_do_command("remove_interface_subhoster", array($this->token, $id_interface), "DI");
	}

	function set_paid_order_subhoster($order_id, $delivery_date=NULL) {
		return $this->_do_command("set_paid_order_subhoster", array($this->token, $order_id, $delivery_date), "DI");
	}

	function activate_order_subhoster($order_id) {
		return $this->_do_command("activate_order_subhoster", array($this->token, $order_id), "DI");
	}

	function get_webhosting_subhoster($id_service) {
		return $this->_do_command("get_webhosting_subhoster", array($this->token, $id_service), "DI");
	}

	function get_webhostings_subhoster($poffset, $pcount, $flogin=NULL, $fgroup=NULL, $femail=NULL, $fpackage=NULL, $fpackage_type=NULL, $fexpirationfrom=NULL, $fexpirationto=NULL) {
		return $this->_do_command("get_webhostings_subhoster", array($this->token, $poffset, $pcount, $flogin, $fgroup, $femail, $fpackage, $fpackage_type, $fexpirationfrom, $fexpirationto), "DI");
	}

	function add_webhosting_subhoster($login, $password, $email, $iemail, $cell, $lang, $person_type, $title, $fname, $lname, $company, $street, $town, $zip, $country, $cid, $tid, $vid, $id_pack, $expiration, $payment, $payment_system, $renewal_type, $addons_add, $ip_addresses, $groups) {
		return $this->_do_command("add_webhosting_subhoster", array($this->token, $login, $password, $email, $iemail, $cell, $lang, $person_type, $title, $fname, $lname, $company, $street, $town, $zip, $country, $cid, $tid, $vid, $id_pack, $expiration, $payment, $payment_system, $renewal_type, $addons_add, $ip_addresses, $groups), "DI");
	}

	function order_webhosting_subhoster($login, $password, $email, $iemail, $cell, $lang, $person_type, $title, $fname, $lname, $company, $street, $town, $zip, $country, $cid, $tid, $vid, $id_pack, $payment, $domains, $addons, $message=NULL, $coupon=NULL) {
		return $this->_do_command("order_webhosting_subhoster", array($this->token, $login, $password, $email, $iemail, $cell, $lang, $person_type, $title, $fname, $lname, $company, $street, $town, $zip, $country, $cid, $tid, $vid, $id_pack, $payment, $domains, $addons, $message, $coupon), "DI");
	}

	function change_webhosting_subhoster($id_service, $id_pack, $password, $expiration, $payment, $payment_system, $renewal_type, $addons_add, $addons_del, $ip_addresses, $groups, $delete_after_expiration) {
		return $this->_do_command("change_webhosting_subhoster", array($this->token, $id_service, $id_pack, $password, $expiration, $payment, $payment_system, $renewal_type, $addons_add, $addons_del, $ip_addresses, $groups, $delete_after_expiration), "DI");
	}

	function renew_webhosting_subhoster($id_service) {
		return $this->_do_command("renew_webhosting_subhoster", array($this->token, $id_service), "DI");
	}

	function remove_webhosting_subhoster($id_service) {
		return $this->_do_command("remove_webhosting_subhoster", array($this->token, $id_service), "DI");
	}

	function get_webhosting_usage_subhoster($id_service) {
		return $this->_do_command("get_webhosting_usage_subhoster", array($this->token, $id_service), "DI");
	}

	function get_webhosting_domains_subhoster($poffset, $pcount, $fdomain=NULL, $ftld=NULL, $flogin=NULL, $fcustomersgroup=NULL, $fexpirationfrom=NULL, $fexpirationto=NULL, $fipv4=NULL, $fipv6=NULL) {
		return $this->_do_command("get_webhosting_domains_subhoster", array($this->token, $poffset, $pcount, $fdomain, $ftld, $flogin, $fcustomersgroup, $fexpirationfrom, $fexpirationto, $fipv4, $fipv6), "DI");
	}

	function get_webhosting_domain_subhoster($dom_id) {
		return $this->_do_command("get_webhosting_domain_subhoster", array($this->token, $dom_id), "DI");
	}

	function get_webhosting_domain_by_name_subhoster($domain, $tld) {
		return $this->_do_command("get_webhosting_domain_by_name_subhoster", array($this->token, $domain, $tld), "DI");
	}

	function add_webhosting_domain_subhoster($domain, $tld, $id_service, $id_ip, $id_domain, $hosting) {
		return $this->_do_command("add_webhosting_domain_subhoster", array($this->token, $domain, $tld, $id_service, $id_ip, $id_domain, $hosting), "DI");
	}

	function change_webhosting_domain_subhoster($dom_id, $id_service, $id_ip) {
		return $this->_do_command("change_webhosting_domain_subhoster", array($this->token, $dom_id, $id_service, $id_ip), "DI");
	}

	function set_state_webhosting_domain_subhoster($dom_id, $states, $send_notification, $note) {
		return $this->_do_command("set_state_webhosting_domain_subhoster", array($this->token, $dom_id, $states, $send_notification, $note), "DI");
	}

	function remove_webhosting_domain_subhoster($dom_id) {
		return $this->_do_command("remove_webhosting_domain_subhoster", array($this->token, $dom_id), "DI");
	}

	function su_webhosting_subhoster($id_service) {
		$result = $this->_do_command("su_webhosting_subhoster", array($this->token, $id_service), "DI");
		if ($result->state == self::LOGIN_OK_STATE) {
			$this->set_metadata($result);
			$res = new stdClass();
			$res->state = self::LOGIN_OK_STATE;
			return $res;
		} else {
			return $result;
		}
	}

}

?>
